#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-pluggy.spec)

%define 	module	pluggy
Summary:	Plugin and hook calling mechanisms for Python
Summary(pl.UTF-8):	Mechanizmy wtyczek dla Pythona
Name:		python-%{module}
# keep 0.13.x here for python2 support
Version:	0.13.1
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pluggy/
Source0:	https://files.pythonhosted.org/packages/source/p/pluggy/pluggy-%{version}.tar.gz
# Source0-md5:	7f610e28b8b34487336b585a3dfb803d
URL:		https://pypi.org/project/pluggy/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
BuildRequires:	python-setuptools_scm
%if %{with tests}
BuildRequires:	python-importlib_metadata >= 0.12
BuildRequires:	python-pytest >= 3.7.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%if %{with tests}
%if "%{py3_ver}" < "3.8"
BuildRequires:	python3-importlib_metadata >= 0.12
%endif
BuildRequires:	python3-pytest >= 3.7.0
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin manager as used by pytest but stripped of pytest specific
details.

%description -l pl.UTF-8
Zarządca wtyczek tak jak używany przez pytest, ale pozbawiony detali
specyficznych dla pytest.

%package -n python3-%{module}
Summary:	Plugin and hook calling mechanisms for Python
Summary(pl.UTF-8):	Mechanizmy wtyczek dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
Plugin manager as used by pytest but stripped of pytest specific
details.

%description -n python3-%{module} -l pl.UTF-8
Zarządca wtyczek tak jak używany przez pytest, ale pozbawiony detali
specyficznych dla pytest.

%package apidocs
Summary:	API documentation for Python pluggy module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pluggy
Group:		Documentation

%description apidocs
API documentation for Python pluggy module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pluggy.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python} -m pytest testing
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest testing
%endif
%endif

%if %{with doc}
PYTHONPATH="$PWD/src" \
sphinx-build -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/pluggy
%{py_sitescriptdir}/pluggy-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/pluggy
%{py3_sitescriptdir}/pluggy-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pluggy.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> eb607e9
- rebuild with tests and docs

* Sun Mar 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 4fd6f22
- disable python3 here

* Fri Mar 11 2022 Jakub Bogusz <qboosh@pld-linux.org> f386a10
- disable pytest plugins

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 78a1675
- release 2 (by relup.sh)

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 4ed4e1b
- hack around docs failure

* Sat Jan 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 54f8912
- updated to 0.13.1
- added apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3ffe901
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Nov 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 353810d
- updated to 0.8.0 (needs --without tests to bootstrap before pytest >= 3.7.0)

* Mon Jul 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 73aad6e
- updated to 0.6.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 19cbb0e
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> eb75389
- python 3.6
- release 2 (by relup.sh)

* Thu May 26 2016 Elan Ruusamäe <glen@delfi.ee> d46a636
- tests BR pytest

* Wed May 25 2016 Elan Ruusamäe <glen@delfi.ee> 6239e40
- BR setuptools

* Wed May 25 2016 Elan Ruusamäe <glen@delfi.ee> 5f61b62
- cleanup template leftovers

* Wed May 25 2016 Mateusz Korniak <matkor@pld-linux.org> 1e47850
- Initial version 0.3.1

